Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
net::WlanSettings_3_0_0 Struct Reference

WLAN interface settings. More...

`import"Net.idl";`

## Public Attributes
boolean | enableHT
| Enable high throughput features (802::11n)
string | ssid
| SSID of the wireless network.
string | bssid
| BSSID (empty for automatic AP selection)
WlanSecProtocol | secProtocol
| Security protocol (WPA2)
WlanAuthType_2_0_0 | authType
| Authentication type.
string | psk
| Pre-shared key (always empty on retrieval!)
boolean | clearPsk
| Set to `true` when PSK should be cleared.
EapAuthSettings_3_0_0 | eap
| EAP Settings for 802::1x authentication.

## Detailed Description

WLAN interface settings.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl